akaio/ez3in1 gba problem

Discussion in 'Acekard' started by DeathEvil, Jul 31, 2012.

Jul 31, 2012

akaio/ez3in1 gba problem by DeathEvil at 12:27 AM (1,483 Views / 0 Likes) 19 replies

  1. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    Most games I tried work just fine including saves. Of course games like pokemon state that battery dried out and time events are disabled which is to be expected since it had clock in the cart... (I heard that can be fixed with ez4client by patching the rom). Anyway as a Dragon ball fan I started playing legacy of goku series. Completed 1 and 2 but the third one is acting weird. I flash the game to NOR (no intro untouched rom) games boots up, I play for a while, then save game and all is well... until I come across the mansion of the grand kai at which point games says "game cant run on this hardware" or something similar. I googled the problem and on visualboy advance it was fixed by changing save type which makes me believe that akaio detected wrong save type (weird because saving and loading actually works). So I donwload ex4client and patch the rom. Using the old save it gives me the same message so I'm thinking that I need to sart over so it will create new correct save type. I delete the old save and start from the beginning. Everything is the same and the game gives me the same message at the same point in the game. I have not tried gbaexploader because the saves are incompatible with AKAIO and I would much rather stick with AKAIO's built in gba support. QQuestion is, how do I fix that?

    On a side note, there are few titles that work only from PSRAM and not in NOR (ex dragon ball adventure), any idea why is that?

    thanks in advance
     
  2. Another World

    Former Staff Another World Emulate the Planet!

    Joined:
    Jan 3, 2008
    Messages:
    10,476
    Location:
    From Where???
    Country:
    Colombia
    gba exploader will have better patching support. some of akaio's gba support was just added without being fully tested. now that development has slowed to a crawl it could take awhile to debug the issue and get it fixed. so please try gba exploader and see if it works.

    which 3in1 do you have?

    -another world
     
  3. jimmyemunoz

    Member jimmyemunoz GBAtemp Advanced Maniac

    Joined:
    Feb 23, 2009
    Messages:
    1,958
    Location:
    Louisiana
    Country:
    United States
    You can check your save file size against what it's supposed to be (for every GBA game) HERE

    You need to download "GBATA" and SRAM patch your ROM and the problem should be fixed.
     
  4. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    really? what gba support was just added? using fresh 1.9 here. Ok will try exploader by incompatibility with akaio saves is a huge turn off for me...
    I bought 2 3in1 this year from different vendors, as well as backup of batteries in case they die on me. Both batteries works great which makes me believe they are still in production or the old stock updated with newer batteries (unless they can work for 5 years). The packages say 3in1 (no plus or anything) but I wouldnt be surprised if they were 3in1+. rumble works in ds games, psram works, and nor works for most of the games straight from AKAIO. the 3in1 are hard to take out from the slot1 to verify which model...

    @[member='jimmy']
    I applied sram patch with ezclient which is supposed to be best for the job (on a clean rom) and the same message appears. Tried that with both NOR and PSRAM - no difference.
     
  5. Another World

    Former Staff Another World Emulate the Planet!

    Joined:
    Jan 3, 2008
    Messages:
    10,476
    Location:
    From Where???
    Country:
    Colombia
    i don't mean JUST added, i mean it was added without much testing.

    i'd be surprised if it isn't a 3in1+. when you load gba exploader it will tell you at the top what version you have.

    -another world
     
  6. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    wow it would seem I have regular 3in1!

    Header

    " GBA ExpLoader [ 3in1 ] v0.58b0"
     
  7. jimmyemunoz

    Member jimmyemunoz GBAtemp Advanced Maniac

    Joined:
    Feb 23, 2009
    Messages:
    1,958
    Location:
    Louisiana
    Country:
    United States
    Oh no it isn't. GBATA is 'the' standard, ask anyone. ;)

    Also, the ez 3in1 is inside slot 2, not 1.
     
  8. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    you are right, typo on my part. It would seem no-intro endorses gbata so I will give it a spin and hope it will fix it.

    I sure hope akaio devs will revisit the code and fix some things like compatibility, automatic pokemon clock, and get rid of the .gba.sav extension as well as the header for saves.
     
  9. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    ok just to be sure applied gbata sram patch on a fresh clean rom, started the game and same message at the same point. maybe the game needs something more than just sram patch because its unlikely that gbata, ezclient, and akaio patching would be wrong. On newest gba exploader I got a freeze while a on one of the options (I'm not alone and it looks like newest gba exploader requires acekard stock dldi so I'm not going to mess with it because it would probably break antipiracy on newer games).
     
  10. how_do_i_do_that

    Member how_do_i_do_that Blue Wizard is about to die.

    Joined:
    May 16, 2008
    Messages:
    4,803
    Country:
    Antarctica
    The random freezing in GBA ExpLoader is with the ak2_sd.dldi that AKAIO uses. It isn't the same as the one used in the official firmware.

    Fix:
    Copy the ak2_sd.dldi from the official firmware in the __ak2 to your __aio folder on your MicroSD, overwriting the AKAIO ak2_sd.dldi.


    It deals with how the game saves data to the microSD.
     
  11. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    ok I'm reading that akaio dldi has problems with homebrew, if that is the case then why every new version of akaio contains the problematic dldi instead of the one from stock firmware?
     
  12. how_do_i_do_that

    Member how_do_i_do_that Blue Wizard is about to die.

    Joined:
    May 16, 2008
    Messages:
    4,803
    Country:
    Antarctica
    Force people to use the built in loader, not use homebrew, etc. whatever you want to say about it, nobody is a mind reader so it is pointless to ask why about it. It just is.
     
  13. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    I copied the dldi and same behavior. selecting min rumble hanged exploader, or hitting start button froze it too (just as with the akaio dldi). setting custom directories is also not working (creating folders in root anyway).

    As for Akaio, it seems that when flashing to NOR the game is not being patched the same as with the PSRAM. so far I found out final fantasy 1&2, dragon ball z advance adventure will only work from PSRAM. When flashed to NOR dragon ball freezes after gba logo, and final fantasyy frezes after introduction and before the world map(after main intro). Can somebody with 3in1 confirm this with Akaio 1.90?

    Update: final fantasy works from nor using gba exploader
    dragon ball adventure works as well
    buu fury on the other hand shows the same damn message
     
  14. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    can somebody show example of the ini with custom directories? here is mine that is being ignored


    #
    # ExpLoader.ini
    #

    SaveDir /Game Boy Advance/Exploader/Save Files
    SignDir /Game Boy Advance/Exploader/Game Scans
    No_MultiSave ! No Multi Save

    Also, since exploader does seem to handle nor flashing better than AKAIO, how do I convert current saves so they are compatible with exploader? (just erase the extra header, and change from gba.sav to .sav)?
     
  15. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    Ok nevermind with gba exploader it's not worth the trouble just for few nor flashes that akaio can't do since buu fury was still no go.

    I have fixed buu fury and works from akaio (nor and psram), the game needed an ips patch to fix copy protection of some sort.

    so to summarize: akaio can play any gba rom from PSRAM (unless it has some wicked copy protection like buu fury)
    akaio will play majority of gba games from NOR, but not all of them (final fantasy 1&2 or dragon ball adventure for example). this is where exploader has an upper hand. This I would love to be fixed by akaio team since those games run fine from akaio but only if flashed to PSRAM.

    so in conclusion I will be sticking with AKAIO since its so much more convenient, and for few games that dont work in NOR I will play from PSRAM.

    regards
     
  16. how_do_i_do_that

    Member how_do_i_do_that Blue Wizard is about to die.

    Joined:
    May 16, 2008
    Messages:
    4,803
    Country:
    Antarctica
    DBZ games never really worked with any flashcarts.
     
  17. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    why would you say that. All DB games work naively on AKAIO except buu fury which needs the patch.
     
  18. how_do_i_do_that

    Member how_do_i_do_that Blue Wizard is about to die.

    Joined:
    May 16, 2008
    Messages:
    4,803
    Country:
    Antarctica
    The security kicks in half way through most DBZ games. Running them isn't the problem.

    From your comment, you didn't get very far in any of them.
     
  19. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    i completed legacy of goku 1 & 2 - not a hickup and was using clean no-intro roms. All patching was auto by AKAIO
     
  20. DeathEvil
    OP

    Newcomer DeathEvil Member

    Joined:
    Apr 19, 2012
    Messages:
    20
    Country:
    United States
    For anyone who might have stumbled upon a rom that simply wont run no matter if you use akaio, exploader, ezclient, or gbata. Simply go to advancescene, advanced search, gba, and select to find "crack & fixes". It will display all games that have copy protection and need to be patched. From my testing akaio's sram patching is as good as any other tool (not one has problems saving), only nor falshing is glitchy with some roms...

    cheers!
     

Share This Page